package com.bytedance.android.livesdk.livesetting.performance.degrade;

import X.7he;
import X.Crj;
import X.GXM;
import X.GXN;
import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.covode.number.Covode;

@SettingsKey("delay_widget_load_opt")
public final class DelayWidgetLoadOptSetting {
    public static final DelayWidgetLoadOptSetting INSTANCE = new DelayWidgetLoadOptSetting();
    @Group(isDefault = true, value = "control_group")
    public static final GXN V1 = new GXN();
    @Group("3s_experimental_group")
    public static final GXN V2;
    @Group("5s_experimental_group")
    public static final GXN V3;
    @Group("3s_5s_experimental_group")
    public static final GXN V4;
    public static final Crj delayWidgetLoadConfig$delegate = 7he.LIZ(GXM.LIZ);

    private final GXN getDelayWidgetLoadConfig() {
        return (GXN) delayWidgetLoadConfig$delegate.getValue();
    }

    public final boolean getEnableDelay() {
        return getDelayWidgetLoadConfig().LIZ;
    }

    public final long getDelayTimeGiftInMills() {
        return ((long) getDelayWidgetLoadConfig().LIZJ) * 1000;
    }

    public final long getDelayTimeInMills() {
        return ((long) getDelayWidgetLoadConfig().LIZIZ) * 1000;
    }

    static {
        Covode.recordClassIndex(18186);
        GXN gxn = new GXN();
        gxn.LIZ = true;
        gxn.LIZIZ = 3;
        V2 = gxn;
        GXN gxn2 = new GXN();
        gxn2.LIZ = true;
        gxn2.LIZIZ = 5;
        V3 = gxn2;
        GXN gxn3 = new GXN();
        gxn3.LIZ = true;
        gxn3.LIZIZ = 5;
        gxn3.LIZJ = 3;
        V4 = gxn3;
    }
}
